
Infrastructure - Task #774

Story # 909 (Closed): Reimplement cn/resolve using nodelist for testing

implement Node Registry lookup for resolve function

2010-08-11 05:39 - Rob Nahf

Status: Closed Start date: 2010-10-11

Priority: Immediate Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2010.43   

Milestone: CCI-0.6 Story Points:  

Product Version: *   

Description

code in resolve-filter-xml.xsl: needs to include a function to fetch the base-url from the registered node identifier passed in from

systemMetadata. see notes in code for approaches

Subtasks:

Task # 992: read and parse the nodelist Closed

Task # 993: parse sysMD and create OLL Closed

Task # 994: complete error handling and tests for Closed

Related issues:

Related to Infrastructure - Story #885: excluding member nodes from ObjectLoc... Closed 2014-10-02 2014-10-02

Blocked by Infrastructure - Task #884: clarify semantics for ObjectLocationLi... Closed 2010-10-07

History

#1 - 2010-09-23 17:59 - Rob Nahf

- Status changed from New to In Progress

#2 - 2010-09-28 08:57 - Rob Nahf

implementing an xslt external function in java.  However, found that this technique cannot handle correct error handling in the case of system failures

and "node-not-found" errors.  explored several xslt techniques - document() and key() functions..  but none address the key problem of producing

dataone error xml returns in the case of some or all membernode locations not yielding valid baseURLs.

Remaining work includes redesign, and reimplementation.

#3 - 2010-10-06 20:27 - Rob Nahf

- Tracker changed from Task to Story

- Milestone set to CCI-0.6

- Start date set to 2010-10-06

- Target version deleted (CCI-0.6)

#4 - 2010-10-07 17:17 - Rob Nahf

- Position set to 4

- Target version set to Sprint-2010.40

#5 - 2010-10-07 18:14 - Rob Nahf

- Estimated time set to 32.00

- Tracker changed from Story to Task

#6 - 2010-10-07 18:15 - Rob Nahf
- Parent task set to #909

#7 - 2010-10-11 17:49 - Rob Nahf

- translation missing: en.field_remaining_hours changed from 0.0 to 14.0

#8 - 2010-10-21 21:17 - Rob Nahf

- Status changed from In Progress to Closed

finished development for ResolveFilter.  

#9 - 2010-10-21 21:17 - Rob Nahf

- Estimated time changed from 32.00 to 9.00
